### Method

# WPEPlatform Event set_user_data

#### Declaration [src]

    void
    wpe_event_set_user_data (
      WPEEvent* event,
      gpointer user_data,
      GDestroyNotify destroy_func
    )

#### Description [src]

Set `user_data` to `event` When `event` is destroyed `destroy_func` is called with `user_data`.

#### Parameters

`user_data`

  Type: `gpointer`

  Data to associate with `event`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_func`

  Type: `GDestroyNotify`

  The function to call to release `user_data`.

  The argument can be `NULL`.